Package org.apache.sysds.runtime.instructions.spark.functions

# Class TensorTensorBinaryOpFunction

java.lang.Object
org.apache.sysds.runtime.instructions.spark.functions.TensorTensorBinaryOpFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<scala.Tuple2<TensorBlock,TensorBlock>,TensorBlock>`

public class TensorTensorBinaryOpFunction extends Object implements org.apache.spark.api.java.function.Function<scala.Tuple2<TensorBlock,TensorBlock>,TensorBlock>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TensorTensorBinaryOpFunction(BinaryOperator op)`

## Method Summary

Modifier and Type
Method
Description
`TensorBlock`
`call(scala.Tuple2<TensorBlock,TensorBlock> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TensorTensorBinaryOpFunction

public TensorTensorBinaryOpFunction(BinaryOperator op)

## Method Details

### call

public TensorBlock call(scala.Tuple2<TensorBlock,TensorBlock> arg0) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<scala.Tuple2<TensorBlock,TensorBlock>,TensorBlock>`
Throws:
  `Exception`